# Podręcznik &konsole-dopelniacz;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
(c) 2005 Mandriva
Poland

    biuro@mandriva.pl

Polskie tłumaczenie
Marcin
Kocur

    marcin2006@gmail.com

Aktualny opiekun tłumaczenia
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-10-20
2.4.0

&konsole-mianownik; jest emulatorem terminala dla &kde;.

KDE
konsola
kdebase
polecenie
wiersz
terminal
cli

## Wprowadzenie

### Czym jest terminal ?

&konsole-mianownik; jest emulatorem terminala pracującym w środowisku X, często nazywana terminalem lub powłoką. Emuluje ona interfejs linii poleceń za pomocą okna do wpisywania tekstu.

Wyjaśnienie obsługi uniksowej linii poleceń jest poza zakresem tematycznym tego dokumentu. Wyszukanie w Sieci słów &UNIX; i CLI zwróci więcej informacji.

### Przewijanie

&konsole-mianownik; używa pojęcia przewijania do umożliwienia użytkownikowi przeglądania poprzednio wyświetlonego wyjścia. Domyślnie historia przewijania ustawiona jest na zachowanie 1000 linii tekstu, oprócz tego co jest wyświetlane na ekranie. Gdy linie tekstu przewiną się do góry poza ekran, można do nich powrócić, przesuwając w górę pasek przewijania, kręcąc kółkiem myszki lub korzystając z kombinacji klawiszy &Shift;Page Up (poprzednia), &Shift;Page Down (kolejna strona), &Shift;Klawisz strzałki w górę (poprzednia linia) i &Shift;Klawisz strzałki w dół (kolejna linia).

Gdy klawisz scroll lock jest wciśnięty, wpisywanie poleceń i wyjście diagnostyczne z konsoli jest zablokowane. Możesz wtedy przeglądać historię, naciskając klawisze Page Up, Page Down oraz Klawisz strzałki w górę i Klawisz strzałki w dół.

&konsole-mianownik; posiada dodatkowo kilka poleceń związanych z historią w menu Przewijanie .

### Profile

Profile umożliwiają użytkownikowi na szybkie i łatwe zautomatyzowanie uruchamiania popularnych poleceń. Przykładowo:

- logowanie przez ssh na inną maszynę

- uruchamianie sesji irc

- użycie tail lub watch na pliku

Procedura utworzenia nowego profilu:

1. Kliknij na poleceniu Ustawienia Zarządzanie profilami...

2. Naciśnij przycisk Nowy profil....

3. Wypełnij pierwsze pole nazwą sesji. Ta nazwa będzie występowała w menu i zostanie nazwą domyślną w miejsce Powłoki po uruchomieniu tego typu sesji.

4. Następnie podaj polecenie do wykonania, tak jak zwykle to robisz po uruchomieniu nowej konsoli. W naszym przykładzie będzie to ``ssh` administracja`.

5. W innych zakładkach okna możesz skonfigurować wygląd dla tej sesji. Możesz wybrać czcionkę, schemat kolorów, zmienną $`TERM` i wiele innych.

6. Wciśnij przycisk OK Nowa sesja jest teraz dostępna w oknie Zarządzanie profilami....

Po utworzeniu profili, będą one wyświetlane według nazw w menu Plik pod domyślnym wpisem Powłoka.

### Przyciski myszy

Ta sekcja opisuje szczegółowo korzystanie z przycisków myszy dla użytkowników praworęcznych. W przypadku osób leworęcznych należy zamienić przyciski lewy z prawym w tekście poniżej.

Lewy przycisk myszy

  Wszystkie kliknięcia lewym przyciskiem myszy zostaną wysłane programu, pracującego w &konsole-dopelniacz;. Jeżeli program odpowiada na kliknięcia myszki, &konsole-mianownik; pokaże kursor strzałki. W przeciwnym przypadku zostanie wyświetlony kursor I-beam (prostokąt).

  Przytrzymanie lewego przycisku myszy oraz przesuwanie kursora nad obszarem z uruchomionym programem nieobsługującym myszki spowoduje zaznaczenie obszaru tekstu. Podczas przesuwania kursora, tekst jest zaznaczany kolorem odwrotnym do obowiązującego celem wizualnego wyróżnienia. Wybierając opcję Kopiuj z menu Edycja, przekopiujesz tekst do schowka systemowego. Możesz później użyć zapisanego tekstu w &konsole-dopelniacz; lub innym programie. Zaznaczony tekst może zostać również przeciągnięty myszką do innego, zgodnego programu. W zależności od ustawień &kde;, być może będziesz musiał przytrzymać klawisz &Ctrl; podczas przeciągania tekstu.

  Znaki końca linii są zwykle umieszczane na końcu każdej zaznaczonej linii. To ustawienie jest najlepsze dla potrzeb wycinania i wklejania kodu źródłowego lub wyników wykonania poszczególnych komend. Dla zwykłego tekstu znaki końca linii często nie są istotne. Pozbycie się ich może być być przydatne, jeżeli tekst ma być ciągiem znaków, które mają być automatycznie przeformatowane po wklejeniu do innego programu. Aby włączyć tryb ciągu znaków, przytrzymaj klawisz &Ctrl; podczas zaznaczania tekstu.

  Naciśnięcie klawiszy &Ctrl; i &Alt; łącznie z lewym przyciskiem myszy spowoduje zaznaczenie całej kolumny tekstu.

  Podwójne kliknięcie lewym przyciskiem myszy zaznaczy słowo; potrójne całą linię.

  Jeżeli w czasie zaznaczania tekstu zostanie osiągnięta jego górna lub dolna krawędź, &konsole-mianownik; przewinie tekst w dół, ewentualnie w górę, korzystając z historii przewijania. Przewijanie zakończy się z chwilą zaprzestania ruchu myszką.

  Po zwolnieniu przycisku myszy, &konsole-mianownik; spróbuje wyróżnić wizualnie tekst przechowywany w schowku przez odwrócenie kolorystyki zaznaczonego tekstu. Zaznaczony tekst przestanie być podświetlony tak szybko, jak tylko zawartość schowka zostanie zmieniona, zaznaczony tekst zostanie zmieniony lub zostanie wciśnięty lewy przycisk myszy.

  Aby zaznaczyć tekst w programie odpowiadającym na zdarzenia myszki (np. wMidnight Commanderze), należy nacisnąć klawisz &Shift; w momencie klikania myszką.

Środkowy przycisk myszy

  Wciśnięcie środkowego przycisku wkleja bieżący tekst ze schowka. Przytrzymanie klawisza &Ctrl; w chwili wciśnięcia środkowego przycisku myszy wkleja tekst i przesyła go do &konsole-dopelniacz;.

  Jeżeli posiadasz myszkę z dwoma przyciskami, naciskając lewy i prawy przycisk myszy jednocześnie emulujesz przycisk środkowy.

  Jeżeli myszka posiada kółko jako środkowy przycisk, przesuwanie go w programie nieodpowiadającym na zdarzenia myszki spowoduje przesuwanie pasków przewijania w &konsole-dopelniacz;.

Prawy przycisk myszy

  Gdy wciśnięty jest prawy przycisk myszy, dostępne są następujące polecenia menu: Kopiuj, Wklej, Wyczyść przewijanie i przywróć, Otwórz menedżer plików, Zmień profil, Modyfikuj aktualny profil..., Wyświetlaj pasek menu, Kodowanie znaków i Zamknij kartę

  W programie reagującym na zdarzenia myszki naciśnij klawisz &Shift; łącznie z prawym przyciskiem myszy, aby uzyskać menu podręczne.

## Opis poleceń

### Pasek menu

Pasek menu znajduje się na górze okna &konsole-dopelniacz;. Jeśli pasek jest ukryty, polecenie Wyświetlaj pasek menu może być wybrane po kliknięciu w oknie prawym przyciskiem myszy (o ile nie są uruchomione pełnoekranowe programy, takie jak vi, minicom, itd.). Domyślny skrót wyświetlany jest po każdej pozycji menu.

#### Menu Plik

&Ctrl;&Shift;N Plik Nowa karta

  Otwiera nową kartę z domyślnym profilem

&Ctrl;&Shift;M Plik Nowe okno

  Otwiera nowe okno &konsole-dopelniacz; z domyślnym profilem

Plik Powłoka

  Otwiera nową kartę z profilem Powłoka

  &konsole-mianownik; dostarczana jest z domyślnym profilem Powłoka. Nowe profile dodane przez użytkownika będą posiadały swoje własne wpisy poniżej domyślnego profilu w menu Plik Powłoka.

Plik Otwórz menedżer plików

  Otwiera menedżera plików &kde; w bieżącym katalogu. Domyślnie jest to &dolphin;.

&Ctrl;&Shift;W Plik Zamknij kartę

  Zamyka bieżącą kartę

&Ctrl;&Shift;Q Plik Zakończ

  Wyłącza &konsole-biernik;

  &konsole-mianownik; wyświetli prośbę o potwierdzenie, jeśli otworzona jest więcej niż jedna zakładka. Okno to może zostać wyłączone przez zaznaczenie pola Nie pytaj ponownie.

#### Menu Edycja

&Ctrl;&Shift;C Edycja Kopiuj

  Kopiuje zaznaczony tekst do schowka

&Ctrl;&Shift;V Edycja Wklej

  Wkleja tekst ze schowka w miejscu położenia kursora

&Ctrl;&Alt;S Edycja Zmień nazwę karty...

  Otwiera okno dialogowe pozwalające na zmianę nazwy bieżącej karty (więcej informacji)

&Ctrl;&Shift;, Edycja Kopiuj wejście do Wszystkie karty w bieżącym oknie

  Pozwala na równoczesne wpisywanie poleceń (na równoczesne wejście) do wszystkich sesji w bieżącym oknie

&Ctrl;&Shift;. Edycja Kopiuj wejście do Wybierz karty...

  Pozwala na równoczesne wpisywanie poleceń (na równoczesne wejście) z bieżącej sesji do wybranych przez użytkownika sesji (więcej informacji)

&Ctrl;&Shift;/ Edycja Kopiuj wejście do Nie kopiuj

  Zatrzymuje kopiowanie wejścia do innych sesji

Edycja Wyczyść i przywróć

  Usuwa cały tekst z bieżącej karty i uruchamia sesję od nowa

  Usunięty tekst zostanie zapisany w historii Przewijania.

#### Menu Widok

&Ctrl;&Shift;L Widok Podziel widok Podziel widok w poziomie

  Dzieli wszystkie karty na widok lewy i prawy

  Wyjście jednego widoku jest duplikowane na drugi widok.

&Ctrl;&Shift;T Widok Podziel widok Podziel widok w pionie

  Dzieli wszystkie karty na widok górny i dolny

  Wyjście jednego widoku jest duplikowane na drugi widok.

&Ctrl;&Shift;S Widok Podziel widok Zamknij aktywny widok

  Zamyka bieżący widok

&Ctrl;&Shift;O Widok Podziel widok Zamknij pozostałe widoki

  Zamyka widoki inne niż bieżący

&Ctrl;&Shift;] Widok Podziel widok Rozwiń widok

  Powiększa rozmiar bieżącego widoku

&Ctrl;&Shift;[ Widok Podziel widok Zwiń widok

  Zmniejsza rozmiar bieżącego widoku

&Ctrl;&Shift;H Widok Odłącz widok

  Otwiera bieżącą kartę w osobnym oknie

  Wyłączenie poprzedniego okna &konsole-dopelniacz; nie wpłynie na nowo utworzone okno.

Widok Wyświetlaj pasek menu

  Określa czy pasek menu powinien być widoczny

&Ctrl;&Shift;F11 Widok Tryb pełnoekranowy

  Określa czy &konsole-mianownik; powinna zajmować cały ekran

&Ctrl;&Shift;I Widok Monitoruj nieaktywność

  Określa czy bieżąca karta powinna być monitorowana na okoliczność braku aktywności

  Domyślnie po 10 sekundach nieaktywności wyświetlana jest ikona informacyjna na zakładce sesji. Sposób informowania użytkownika może zostać określony przez wpis Ustawienia Konfiguracja powiadomieńBrak aktywności w monitorowanej sesji.

&Ctrl;&Shift;A Widok Monitoruj aktywność

  Określa czy bieżąca karta powinna być monitorowana na okoliczność aktywności

  W razie wykrycia aktywności, wyświetlana jest ikona informacyjna na zakładce sesji. Sposób informowania użytkownika może zostać określony przez pozycję menu Ustawienia Konfiguracja powiadomieńAktywność w monitorowanej sesji.

Widok Ustaw kodowanie

  Ustawia kodowanie znaków

&Ctrl;+ Widok Zwiększ wielkość czcionki

  Powiększa rozmiar tekstu w konsoli

&Ctrl;- Widok Zmniejsz wielkość czcionki

  Zmniejsza rozmiar tekstu w konsoli

#### Menu Przewijanie

&Ctrl;&Shift;F Przewijanie Przeszukaj wyjście...

  Otwiera pasek wyszukiwania na dole okna &konsole-dopelniacz;

  Pozwala on na wyszukiwanie tekstu uwzględniające wielkość liter, kierunek szukania i wyrażenia regularne.

F3 Przewijanie Znajdź następny

  Przemieszcza się do kolejnego pasującego wyniku

&Shift;F3 Przewijanie Znajdź poprzedni

  Przemieszcza się do poprzedniego pasującego wyniku

Przewijanie Zapisz wyjście...

  Zapisuje bieżącą historię jako plik tekstowy lub dokument html

Przewijanie Opcje przewijania...

  Otwiera okno do konfiguracji ilości przechowywanych linii (więcej informacji)

&Ctrl;&Shift;X Przewijanie Wyczyść przewijanie i przywróć

  Czyści historię bieżącej karty i przywraca sesję

#### Menu Zakładki

&Ctrl;&Shift;B Zakładki Dodaj zakładkę

  Dodaje do zakładek bieżące położenie

Zakładki Folder zakładek z kart...

  Dodaje wszystkie karty do folderu zakładek

  Otworzy się okno dialogowe z prośbą o nazwę folderu.

Zakładki Nowy folder zakładek...

  Dodaje nowy folder do listy zakładek

  Otworzy się okno dialogowe z prośbą o nazwę folderu.

Zakładki Modyfikuj zakładki

  Otwiera edytor zakładek

  Możesz wykorzystać edytor zakładek aby ręcznie dodać URL. Na dzień dzisiejszy &konsole-mianownik; akceptuje poniższe wzory:

  - ssh://user@host:port

  - telnet://user@host:port

#### Menu Ustawienia

Ustawienia Zmień profil

  Zmienia profil bieżącej karty

Ustawienia Modyfikuj aktualny profil...

  Otwiera edytor profilu bieżącej karty

Ustawienia Zarządzanie profilami...

  Otwiera edytor zarządzania profilami

Ustawienia Konfiguracja skrótów...

  Otwiera edytor skrótów klawiszowych

Ustawienia Konfiguracja powiadomień...

  Otwiera okno konfiguracji powiadomień

#### Menu Pomoc

&help.menu.documentation;

### Okno "Zmień nazwę karty"

Nazwa bieżącej karty może zostać zmieniona z poziomu tego okna. Można go otworzyć z menu, skrótem klawiszowym &Ctrl;&Alt;S lub podwójnym kliknięciem na karcie na pasku kart. Zmiany mogą zostać wprowadzone na stałe poprzez edycję bieżącego profilu.

&konsole-mianownik; zastąpi następujące symbole na odpowiednie wartości:

- %n : nazwa programu

- %d : bieżący katalog (krótki)

- %D : bieżący katalog (długi)

- %w : tytuł okna ustawiony przez powłokę

- %# : numer sesji

- %u : nazwa użytkownika

Przykłady:

- `%d : %n` z /usr/src jako bieżącym katalogiem i uruchomionym bashem wyświetli usr/s : bash

- `%D : %n` z /usr/src jako bieżącym katalogiem i uruchomionym topem wyświetli /usr/src : top

- `%w (%#)` z ~ jako bieżącym katalogiem i uruchomionym VIM-em na pierwszej karcie wyświetli [No Name] (~) - VIM(1)

### Okno "Kopia wejścia"

Tekst wpisywany w jednej karcie może być jednocześnie wysyłany do innych kart. Okno to pozwala na wybranie kart, które również otrzymają dane wejściowe. Bieżąca karta jest nieaktywna.

### Okno "Opcje przewijania"

Opcja przewijania historii jest dostosowywana w tym oknie. Istnieje także pole zaznaczenia, umożliwiające zapisanie ustawień do bieżącego profilu.

## Komendy linii polceceń

Podczas uruchamiania &konsole-dopelniacz; z linii poleceń dostępne są różne opcje modyfikujące jej zachowanie:

`--help`

  Wypisuje listę dostępnych opcji.

`--profile` `plik`

  Uruchamia &konsole-biernik;, używając zapisanego zestawu sesji.

`--list-profiles`

  Wyświetla listę dostępnych profili sesji.

`--background-mode`

  Uruchamia &konsole-biernik; w tle i przywołuje na pierwszy plan po wciśnięciu przycisku F12.

`--new-tab`

  Tworzy nową kartę w istniejącym oknie zamiast otwierania nowego okna.

`--workdir` `katalog`

  Uruchamia program z katalogiem `dir` jako katalogiem roboczym.

`--notransparency`

  Wyłącza przezroczyste tła, nawet jeśli system je obsługuje.

`--force-transparency`

  Próbuje włączyć przezroczystość, nawet jeśli wydaje się, że system jej nie obsługuje.

`--hold, --noclose`

  Nie zamyka automatycznie początkowej sesji po jej zakończeniu.

`-p` `właściwość=wartość`

  Zmienia wartość właściwości profilu.

`-e` `polecenie`

  Wykonuje `polecenie` zamiast uruchomienia powłoki.

  Jakikolwiek argument po `poleceniu` zostanie przekazany do `polecenia`, a nie programu &konsole-mianownik;.

&konsole-mianownik; akceptuje również podstawowe opcje &Qt; i &kde;:

`--help-qt`

  Wyświetla listę opcji &Qt;

Następujące opcje &Qt; nie działają w &konsole-dopelniacz;:

`--fn`, `--font` `nazwa czcionki`

  Określa czcionkę programu

`--bg`, `--background` `kolor`

  Ustawia domyślny kolor tła

`--fg`, `--foreground` `kolor`

  Ustawia domyślny kolor tła czcionki

`--btn`, `--button` `kolor`

  Ustawia domyślny kolor przycisku

`--help-kde`

  Wyświetla listę opcji &kde;

`--help-all`

  Wyświetla wszystkie dostępne opcje

`--author`

  Podaje informacje o autorach

`-v,--version`

  Podaje numer wersji programu

`--license`

  Podaje informacje na temat licencji

## Oskryptowanie &konsole-dopelniacz;

W &kde; 4 stary mechanizm &DCOP; został zastąpiony przez &DBus-biernik;. &konsole-mianownik; obsługuje liczne wywołania &DBus-dopelniacz;.

Istnieją dwa sposoby obsługi interfejsu &DBus-dopelniacz;: program &GUI-dopelniacz;, napisany w &Qt; qdbusviewer lub narzędzie linii poleceń qdbus.

Przykłady:

- &percnt; `qdbus` wyświetli wszystkie dostępne usługi.

- &percnt; `qdbus` `org.kde.konsole` wyświetli interfejs &DBus-dopelniacz; dla &konsole-dopelniacz;.

- &percnt; `qdbus` `org.kde.konsole /Konsole` wyświetli wywołania kontrolujące główne okno &konsole-dopelniacz;.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` wyświetli wywołania dla sesji 1.

Jeśli uruchomisz &konsole-biernik; z terminala, możesz potrzebować zmienić `org.kde.konsole` na `org.kde.konsole-`pidof -s konsole``.

Aby uzyskać więcej informacji, odwiedź stronę &DBus; tutorial (w j. angielskim).

## Podziękowania i Licencja

&konsole-narzednik; aktualnie zajmuje się &Robert.Knight; &Robert.Knight.mail;

Poprzednio &konsole-narzednik; opiekowali się &Kurt.Hindenburg; &Kurt.Hindenburg.mail; i &Waldo.Bastian; &Waldo.Bastian.mail;

&konsole-mianownik; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Autor dokumentacji: &Jonathan.Singer; &Jonathan.Singer.mail;

Aktualizacja dokumentacji dla &kde; 3.4: &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Aktualizacja dokumentacji dla &kde; 4.1: &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Konwersja do formatu DocBook SGML: &Mike.McBride; i &Lauri.Watts;

Polskie tłumaczenie: (c) 2005 Mandriva Polandbiuro@mandriva.pl

Aktualny opiekun tłumaczenia: Marcin Kocur marcin2006@gmail.com

&underFDL; &underGPL;

## Łącza

Po więcej informacji udaj się na następujące strony:

- Strona domowa &konsole-dopelniacz;

- Lista e-mailowa &konsole-dopelniacz;

- &kde; w FreeBSD

- &kde; w systemie &Solaris;

&documentation.index;